Page MenuHomeFreeBSD

Drop support for FreeBSD 13.0 from the Ports Tree once it goes EOL in September.
ClosedPublic

Authored by rene on Aug 16 2022, 8:39 PM.
Tags
None
Referenced Files
Unknown Object (File)
Dec 31 2023, 4:00 AM
Unknown Object (File)
Dec 29 2023, 10:11 AM
Unknown Object (File)
Dec 29 2023, 10:11 AM
Unknown Object (File)
Dec 29 2023, 10:11 AM
Unknown Object (File)
Dec 29 2023, 10:11 AM
Unknown Object (File)
Dec 29 2023, 10:11 AM
Unknown Object (File)
Dec 29 2023, 10:11 AM
Unknown Object (File)
Dec 29 2023, 9:59 AM

Details

Summary

Individual commits:

Mk/bsd.port.mk: mark 13.0 as unsupported

x11/xorg-cf-files: remove support for FreeBSD < 6 (yes, pre-2008)

x11/xorg-cf-files: auto-reformat patches, no content changes

graphics/gpu-firmware-amd-kmod: do not check 13.0 anymore

deskutils/xdg-desktop-portal: remove check for 13.0

editors/imhex: remove compatibility for 13.0

editors/libreoffice: remove compatibility for 13.0

editors/openoffice-4: remove compatibility for 13.0

editors/openoffice-devel: remove compatibility for 13.0

emulators/linux_base-c7: remove compatiblity for 13.0

graphics/drm-kmod: remove detection for 13.0

graphics/linux-c7-libdrm: remove support for 13.0

math/igraph: remove support for 13.0

net/asterisk16: remove patches for ancient FreeBSD versions

net/asterisk16: regenerate patches

net/asterisk18: drop support for ancient FreeBSD versions

net/asterisk18: regenerate patches

sysutils/bhyve+: drop support for FreeBSD 13.0

sysutils/ebsnvme-id: drop support for FreeBSD 13.0

sysutils/openzfs-kmod: drop detection of FreeBSD 13.0

sysutils/openzfs: remove detection of FreeBSD 13.0

Tools/scripts/portsearch: Drop support for FreeBSD <= 4
While here, remove a stale $Id$

security/openssl*: drop now obsolete patches

www/firefox: generalize pkg-message a bit regarding hgame(4)

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

rene requested review of this revision.Aug 16 2022, 8:39 PM

add reviewers:

  • missing gabor.pali
  • bapt because office@ is not here
  • jbeich for general tips ;)
fluffy added a subscriber: fluffy.

@rene, @office is here and have no objections :)

@rene, @office is here and have no objections :)

Huh oh, somehow Phabricator didn't find it here :)

Ok for the asterisk ports.

imp added inline comments.
x11/xorg-cf-files/files/patch-FreeBSD.cf
311

All these patches should be upstreamed... If that's even still a thing...

freqlabs added inline comments.
sysutils/openzfs/Makefile
37

Why keep pre/post in openzfs-kmod but change here?

OK for the OpenSSL ports

  • sysutils/openzfs-kmod: use bsd.options.mk here too
  • net/asterisk16: rebase after upgrade to 16.28.0
  • net/asterisk18: rebase after update to 18.14.0
rene marked an inline comment as done.Aug 20 2022, 1:19 PM
rene added inline comments.
sysutils/openzfs/Makefile
37

Ah, better to change it here too, bsd.port.options.mk is the preferred form.

rene marked an inline comment as done.

devel/libpeas: remove outdated comment

Also revert f23fdb0f733f

deskutils/xdg-desktop-portal/Makefile
30

1400007 predates 13.0-RELEASE. pkg-fallout@ updates -CURRENT snapshots every ~2 days according to scheduled cluster builds.

www/firefox/pkg-message
34

Maybe use FreeBSD >= 13 in order to include upcoming FreeBSD 14.0 (or -CURRENT) and for consistency with emulators/ppsspp/files/pkg-message.in

  • Revert "archivers/zstd: Fix build on FreeBSD 13.0"
  • www/firefox: tweak pkg-message to be more future-proof.
rene marked an inline comment as done.Sep 1 2022, 9:40 AM
rene added inline comments.
deskutils/xdg-desktop-portal/Makefile
30

1400007 predates 13.0-RELEASE. pkg-fallout@ updates -CURRENT snapshots every ~2 days according to scheduled cluster builds.

True, but that chunk could also go away once 14.0 is EOL.

This revision was not accepted when it landed; it landed in state Needs Review.Sep 1 2022, 2:06 PM
This revision was automatically updated to reflect the committed changes.